> ## Documentation Index
> Fetch the complete documentation index at: https://opendonationassistant.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# List playlists

> Returns a paginated list of playlists for the authenticated user



## OpenAPI

````yaml /api-reference/oda-media-service-1.0.0.yml get /playlists
openapi: 3.0.1
info:
  title: oda-media-service
  version: 1.0.0
servers: []
security: []
tags:
  - name: Available Media
    description: Search and retrieve available media from external providers
  - name: Video
    description: Video management operations
  - name: Playlist
    description: Playlist management operations
paths:
  /playlists:
    get:
      tags:
        - Playlist
      summary: List playlists
      description: Returns a paginated list of playlists for the authenticated user
      operationId: playlists
      parameters:
        - name: pageable
          in: query
          description: Pagination parameters
          required: true
          schema:
            $ref: '#/components/schemas/Pageable'
      responses:
        '200':
          description: Page of playlists
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Page_Object_'
        '401':
          description: Unauthorized - authentication required
components:
  schemas:
    Pageable:
      type: object
      allOf:
        - $ref: '#/components/schemas/Sort'
        - required:
            - size
            - sort
          type: object
          properties:
            number:
              type: integer
              format: int32
            size:
              type: integer
              format: int32
            mode:
              $ref: '#/components/schemas/Pageable.Mode'
            sort:
              $ref: '#/components/schemas/Sort'
    Page_Object_:
      type: object
      allOf:
        - $ref: '#/components/schemas/Slice_Object_'
        - type: object
          properties:
            totalSize:
              type: integer
              format: int64
            totalPages:
              type: integer
              format: int32
    Sort:
      required:
        - orderBy
      type: object
      properties:
        orderBy:
          type: array
          items:
            $ref: '#/components/schemas/Sort.Order'
    Pageable.Mode:
      type: string
      enum:
        - CURSOR_NEXT
        - CURSOR_PREVIOUS
        - OFFSET
    Slice_Object_:
      required:
        - content
        - pageable
      type: object
      properties:
        content:
          type: array
          items:
            type: object
        pageable:
          $ref: '#/components/schemas/Pageable'
        pageNumber:
          type: integer
          format: int32
        offset:
          type: integer
          format: int64
        size:
          type: integer
          format: int32
        empty:
          type: boolean
        numberOfElements:
          type: integer
          format: int32
    Sort.Order:
      required:
        - direction
        - ignoreCase
        - property
      type: object
      properties:
        ignoreCase:
          type: boolean
        direction:
          $ref: '#/components/schemas/Sort.Order.Direction'
        property:
          type: string
        ascending:
          type: boolean
    Sort.Order.Direction:
      type: string
      enum:
        - ASC
        - DESC

````